%global dlrn_nvr tripleo-image-elements-10.6.3.dev3-2.20210601000815.9b50a3c
%global dlrn 1
%define upstream_version 10.6.3.dev3
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver 3
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
# Turn off the brp-python-bytecompile script
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

Name:		openstack-tripleo-image-elements
Summary:	OpenStack TripleO Image Elements for diskimage-builder
Version: 10.6.3
Release: 2.20210601000815.9b50a3c%{?dist}.2
License:	ASL 2.0
Group:		System Environment/Base
URL:		https://wiki.openstack.org/wiki/TripleO
Source0: tripleo-image-elements-10.6.3.dev3-2.20210601000815.9b50a3c.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=9b50a3ce5436fc47cbe79eb26f1b26584579cb08

BuildArch:	noarch
BuildRequires:	python%{pyver}-devel
BuildRequires:	python%{pyver}-setuptools
BuildRequires:	python%{pyver}-pbr
%if %{pyver} == 3
BuildRequires:  /usr/bin/pathfix.py
%endif

Requires:	diskimage-builder

%description
OpenStack TripleO Image Elements is a collection of elements for
diskimage-builder that can be used to build OpenStack images for the TripleO
program.

%prep
%setup -q -n tripleo-image-elements-%{upstream_version}

%build
%{pyver_build}

%install
%{pyver_install}

# remove .git-keep-empty files that get installed
find %{buildroot} -name .git-keep-empty | xargs rm -f

%if %{pyver} == 3
# Fix shebangs for Python 3-only distros
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/tripleo-image-elements/os-svc-install/bin/map-services-tripleo
%endif

%files
%doc LICENSE
%doc README.rst
%doc AUTHORS
%doc ChangeLog
%{pyver_sitelib}/tripleo_image_elements*
%{_datadir}/tripleo-image-elements

%changelog
* Mon Jun 07 2021 CPaaS User <cpaas-ops@redhat.com> - 10.6.3-2.20210601000815.9b50a3c.2
- Bump release

* Mon Jun 07 2021 CPaaS User <cpaas-ops@redhat.com> - 10.6.3-2.20210601000815.9b50a3c.1
- Bump release

* Mon May 31 2021 OSP Prod Chain <dev-null@redhat.com> 10.6.3-2.20210601000815.9b50a3c
- Update patches
- additionally remove eth* devices off the overcloud-full image

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 10.6.3-2.20210528125855.c6d2454
- Update patches

* Wed Apr 28 2021 OSP Prod Chain <dev-null@redhat.com> 10.6.3-2.20210428171902.c6d2454
- Update patches
- ensure any ens3 interface is nuked during image build
- Drop pbr version ceiling

* Mon Feb 08 2021 OSP Prod Chain <dev-null@redhat.com> 10.6.2-1
- Update patches

* Wed Dec 16 2020 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- Update patches

* Fri Oct 30 2020 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- Update patches

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- Update patches

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- Update patches

* Thu May 28 2020 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- Update patches
- Removing debug output of 51-hosts

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- Update patches
- Cleanup stale interface if exists

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- Update patches

* Fri Feb 28 2020 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- Update patches

* Tue Feb 25 2020 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- Update patches
- Disable yum-plugin-priorities elements for CentOS8

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- Update patches

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.0-1
- Update patches
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Update .gitreview for stable/train

* Sat Oct 19 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Sync Sphinx requirement

* Fri Sep 27 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update the constraints url


